<!-- markdownlint-disable first-line-heading -->

Exclude target state entries of specific [*types*][types]. The default is
`none`.

Types can be explicitly included with the `--include` flag.

!!! example

    `--exclude=scripts` will cause the command to not run scripts and
    `--exclude=encrypted` will exclude encrypted files.

[types]: /reference/command-line-flags/common.md#available-entry-types
